Subject: FVWM: Drag windows across physical monitors

From: [email-masked]
Date: Thu, 8 Feb 1996 15:05:32 -0700 (MST)

Unless someone has done some serious hacking with fvwm to overcome what
I think are limitations in X11, I'm not sure what I'm about to ask is
possible.

But, what the heck, maybe this is just the group to ask.

We have several people here who would like to use two (or more) physical
monitors as the same display.  In other words, monitor one would be
pixels 0,0-1023,767 of DISPLAY 0.0 and monitor two would be pixels
1024,0-2048,767 of the _same_ display.  Windows could be partially
visible across each monitor and dragged or resized across them.

Does anyone know how to do this (short of buying a Macintosh)?

Thanks,
--john
--
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Olly Stephens <[email-masked]>
Date: Thu, 08 Feb 1996 15:17:05 -0800

In your message to [email-masked] you wrote:
|> 
|> We have several people here who would like to use two (or more) physical
|> monitors as the same display.  In other words, monitor one would be
|> pixels 0,0-1023,767 of DISPLAY 0.0 and monitor two would be pixels
|> 1024,0-2048,767 of the _same_ display.  Windows could be partially
|> visible across each monitor and dragged or resized across them.
|> 
|> Does anyone know how to do this (short of buying a Macintosh)?
|> 

If you're talking about Sun's, you may be lucky.

I've never investigated it, but there's a modified X11R6 server available
in the R6 contrib tree called Xvan.  Here's the top of the README:

        README file for Xvan 1.2 (X11/R6 multiple screen server)
        Peter C. Jones, Sun Microsystems Laboratories, Chelmsford, MA
        last updated June 1995

  This is the README file for the X11/R6 version of the Xvan server.
  This latest release features a couple of bug fixes and the necessary
  updates to remain consistent with patch level 11 of the X11/R6
  distribution.

  Xvan is a modification of the X11/R6 sample server that allows
  multiple physical screens to comprise one logical screen.  It is
  currently only fully implemented for Sun workstations, so there is
  only one machine-specific subdirectory, "sun", in the "hw" branch of
  the source tree.  However, for any other machine that could use the
  code in the standard "mfb" and "cfb*" directories, it should be rather
  simple to port Xvan functionality.

If my reading of this is correct, fvwm (or any window manager) running on top
of this will think that there's only one screen and will do just what you want.

Olly

---

From: "Paul.Wickli" <[email-masked]>
Date: Fri, 9 Feb 1996 09:11:07 +0100

We have been using Xvan and Fvwm 1.x under SunOs 4.1.3 for almost 2 years now.
The workstation has two monitors and yes you can drag the windows between the
two physical monitors. Performance of the XVan Xserver is not so great and it
tends to grow after long usage. It it slightly instable causing us to reboot
the machines every couple of months if you have many windows open (sy > 50)
that are update intensive.
We love using it here because it is great for programming (you can see your
debugger, app. editor etc all at once) and also for an applicatin we have that
has big screens and a number of them that we want to be able to see at the same
time.
Your mileage may vary under Solaris 2.x and Fvwm 2.x.

I have seen a number of commercial offerings but we are not willing to pay $$$$
per license per Server. XVan does it's job well, definitely worth looking at.

-- 
Paul Wickli				US Address (mail only)
Credit Suisse				Credit Suisse Zurich
Securities Trading			Ehs 1
Ehs 1					12 East 49th St
Zurich, Switzerland CH 8070		New York, NY 10017
Tel : 0041:1:333-64-13
Fax : 0041:1:332-45-00